Subject: Attribution of the source address Re: What does a unicast source address actually indicate? (Re: RFC2460bis and draft-previdi-6man-segment-routing-header-08)

From: Andrew 👽 Yourtchenko <[email-masked]>
Date: Tue, 6 Oct 2015 10:39:08 +0200

On 10/6/15, Mark Smith <[email-masked]> wrote:

> So I think a unicast source address is fundamentally intended to
> identify a unique and single packet source, to which the contents of
> the whole packet can be attributed.

This is a very interesting observation, for which I will fork another
topic to not pollute the one you created.

This attribution does indeed happen, however:

The current internet architecture does not enforce the validity of
source address in any way (RPF being an optional measure which is not
100% used, so it does not really count).

Thus placing this attribution creates a huge attack surface - NTP, DNS
reflection attacks come to mind immediately.

Thus, I'd consider weakening the assumption "you can trust the source
address" is a good thing (unless the Internet architecture evolves to
make the source more trustable, of course).

--a